%Converts a matrix of characters encoded with num bits of data in a byte
%into a binary matrix of the appropriate size
function c = char2bin(A, num)
%given a matrix of characters, each encoding up to num data values, convert
%into a binary matrix
[m n ] = size(A);
BCOL = num*n;
BROW = m;
c = zeros(BROW, BCOL);

%for each row, convert accordingly
for i = 1:m
   ind = 1;
   trow = zeros(1,BCOL);
   for j = 1:n
      t = dec2bin(A(i,j),8);
      trow(ind:ind+num-1) = t(8-num+1:end);
      ind = ind + num;
   end
   c(i,:) = trow - '0';
end

end